commit:     b19b9887686acb6471bdec12e814173d372c73e7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri May 30 20:43:17 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 30 20:44:41 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b19b9887

sys-apps/kbd: add 2.8.0

Bug: https://bugs.gentoo.org/727822
Closes: https://bugs.gentoo.org/951517
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/kbd/Manifest                              |  1 +
 sys-apps/kbd/{kbd-9999.ebuild => kbd-2.8.0.ebuild} | 10 +++++++++-
 sys-apps/kbd/kbd-9999.ebuild                       | 10 +++++++++-
 3 files changed, 19 insertions(+), 2 deletions(-)

diff --git a/sys-apps/kbd/Manifest b/sys-apps/kbd/Manifest
index 3785a6f3daf5..b6fe3db885cc 100644
--- a/sys-apps/kbd/Manifest
+++ b/sys-apps/kbd/Manifest
@@ -1 +1,2 @@
 DIST kbd-2.7.1.tar.xz 1471648 BLAKE2B 
c817f78a0a377df5fcf2a6ba1608504fa875762db5bda1f061493e68ee6f6ef1fa085c0e440d74daeb6ad990ac48956caf7ab7f2a523b0d3b2480e69a9d810f5
 SHA512 
9c541fdbb77e5b1a757848fb4c6f8bb5a61791220938cbfe899aa16b412a87e98fc97fc06ba39d0f983e4cc808d0dcd983560e12c7f36e4df683a3002c51af09
+DIST kbd-2.8.0.tar.xz 1482152 BLAKE2B 
3b1917e37bbb4f2a975cf1f6bbfeba6a6ee486378d770c3b0232c62c40fe758181a15799f9119e3e4eedbb356a0677b3fba4b0afef135d346801693a6ef432cc
 SHA512 
66b532e782b6be3f53521a8d1c96f2ce895201dae48f8797c563be895dfdf4e9c03b9ccf39708d1b7dd1ffb13d526e499874e8e4ba74d22b507c1d32e4b410a3

diff --git a/sys-apps/kbd/kbd-9999.ebuild b/sys-apps/kbd/kbd-2.8.0.ebuild
similarity index 87%
copy from sys-apps/kbd/kbd-9999.ebuild
copy to sys-apps/kbd/kbd-2.8.0.ebuild
index 8031a4293998..83630a4b1671 100644
--- a/sys-apps/kbd/kbd-9999.ebuild
+++ b/sys-apps/kbd/kbd-2.8.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -39,6 +39,7 @@ RDEPEND="
        selinux? ( sec-policy/selinux-loadkeys )
 "
 BDEPEND="
+       sys-devel/flex
        virtual/pkgconfig
        test? ( dev-libs/check )
 "
@@ -61,6 +62,9 @@ src_prepare() {
 }
 
 src_configure() {
+       # https://github.com/legionus/kbd/issues/121
+       unset LEX
+
        local myeconfargs=(
                --disable-werror
 
@@ -73,6 +77,10 @@ src_configure() {
 }
 
 src_test() {
+       # These tests want a tty and the check passes when it shouldn't
+       # when running via the ebuild.
+       sed -i -e "s:tty 2>/dev/null:false:" tests/testsuite || die
+
        emake -Onone check TESTSUITEFLAGS="--jobs=$(get_makeopts_jobs)"
 }
 

diff --git a/sys-apps/kbd/kbd-9999.ebuild b/sys-apps/kbd/kbd-9999.ebuild
index 8031a4293998..83630a4b1671 100644
--- a/sys-apps/kbd/kbd-9999.ebuild
+++ b/sys-apps/kbd/kbd-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -39,6 +39,7 @@ RDEPEND="
        selinux? ( sec-policy/selinux-loadkeys )
 "
 BDEPEND="
+       sys-devel/flex
        virtual/pkgconfig
        test? ( dev-libs/check )
 "
@@ -61,6 +62,9 @@ src_prepare() {
 }
 
 src_configure() {
+       # https://github.com/legionus/kbd/issues/121
+       unset LEX
+
        local myeconfargs=(
                --disable-werror
 
@@ -73,6 +77,10 @@ src_configure() {
 }
 
 src_test() {
+       # These tests want a tty and the check passes when it shouldn't
+       # when running via the ebuild.
+       sed -i -e "s:tty 2>/dev/null:false:" tests/testsuite || die
+
        emake -Onone check TESTSUITEFLAGS="--jobs=$(get_makeopts_jobs)"
 }
 

Reply via email to